﻿using System;
using System.Windows.Forms;
using Microsoft.VisualBasic.ApplicationServices;

namespace SingletonAppWithNotifyIcon
{
    static class Program
    {
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            SingleInstanceAppStarter.Start(new MainForm2(), StartNewInstance);
        }

        static void StartNewInstance(object sender, StartupNextInstanceEventArgs e)
        {
            var forms = Application.OpenForms;
            var frm = forms["MainForm2"] as MainForm2;
            if (frm != null)
            {
                frm.ShowMe();
            }
            else
            {
                var f = new MainForm2();
                f.ShowDialog();
            }
        }
    }
}