﻿using System;
using System.Windows.Forms;
using Microsoft.VisualBasic.ApplicationServices;

namespace SingletonAppWithNotifyIcon
{
    public class SingleInstanceAppStarter
    {
        static SingleInstanceApp _app;

        public static void Start(Form f, StartupNextInstanceEventHandler handler)
        {
            if (_app == null && f != null)
            {
                _app = new SingleInstanceApp(f);
            }

            if (_app == null) return;

            _app.StartupNextInstance += handler;
            _app.Run(Environment.GetCommandLineArgs());
        }
    }
}